Bug 179425 - [MAINTAINER] Update databases/mariadb55-{client,server} to 5.5.31
Summary: [MAINTAINER] Update databases/mariadb55-{client,server} to 5.5.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-08 14:30 UTC by never
Modified: 2013-06-09 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.07 KB, patch)
2013-06-08 14:30 UTC, never
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description never 2013-06-08 14:30:00 UTC
	Apply patch attached to update databases/mariadb55-{client,server} to 5.5.31

How-To-Repeat: 	N/A
Comment 1 Florian Smeets freebsd_committer 2013-06-09 14:59:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-06-09 15:54:46 UTC
Author: flo
Date: Sun Jun  9 14:54:38 2013
New Revision: 320339
URL: http://svnweb.freebsd.org/changeset/ports/320339

Log:
  Update to 5.5.31
  
  PR:		ports/179425
  Submitted by:	Alexandr Kovalenko <never@nevermind.kiev.ua>

Modified:
  head/databases/mariadb55-server/Makefile
  head/databases/mariadb55-server/distinfo
  head/databases/mariadb55-server/files/patch-sql_CMakeLists.txt
  head/databases/mariadb55-server/pkg-plist

Modified: head/databases/mariadb55-server/Makefile
==============================================================================
--- head/databases/mariadb55-server/Makefile	Sun Jun  9 14:41:24 2013	(r320338)
+++ head/databases/mariadb55-server/Makefile	Sun Jun  9 14:54:38 2013	(r320339)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME?=	mariadb
-PORTVERSION=	5.5.30
+PORTVERSION=	5.5.31
 PORTREVISION?=	0
 CATEGORIES=	databases ipv6
 MASTER_SITES=	http://ftp.osuosl.org/pub/mariadb/${PORTNAME}-${PORTVERSION}/kvm-tarbake-jaunty-x86/ \

Modified: head/databases/mariadb55-server/distinfo
==============================================================================
--- head/databases/mariadb55-server/distinfo	Sun Jun  9 14:41:24 2013	(r320338)
+++ head/databases/mariadb55-server/distinfo	Sun Jun  9 14:54:38 2013	(r320339)
@@ -1,2 +1,2 @@
-SHA256 (mariadb-5.5.30.tar.gz) = 64dba5f1819f1d4ebf7ed31d74e4106c981a24b88259995deba3734fb7c4635f
-SIZE (mariadb-5.5.30.tar.gz) = 27875216
+SHA256 (mariadb-5.5.31.tar.gz) = 70b28e5dca7e9213fd092a669f74a537e7c88e0f670e32628907ce3ebcef2d28
+SIZE (mariadb-5.5.31.tar.gz) = 27888530

Modified: head/databases/mariadb55-server/files/patch-sql_CMakeLists.txt
==============================================================================
--- head/databases/mariadb55-server/files/patch-sql_CMakeLists.txt	Sun Jun  9 14:41:24 2013	(r320338)
+++ head/databases/mariadb55-server/files/patch-sql_CMakeLists.txt	Sun Jun  9 14:54:38 2013	(r320339)
@@ -1,14 +1,14 @@
---- sql/CMakeLists.txt.orig	2012-11-28 17:49:47.000000000 +0200
-+++ sql/CMakeLists.txt	2012-12-23 05:56:58.000000000 +0200
+--- sql/CMakeLists.txt.orig	2013-05-22 01:09:51.000000000 +0300
++++ sql/CMakeLists.txt	2013-06-08 14:13:06.000000000 +0300
 @@ -268,6 +268,7 @@
+   VERBATIM
+   )
  
 +IF(FALSE)
  IF(INSTALL_LAYOUT STREQUAL "STANDALONE")
  
- # We need to create empty directories (data/test) the installation.  
- # This does not work with current CPack due to http://www.cmake.org/Bug/view.php?id=8767
- # Avoid completely empty directories and install dummy file instead.
-@@ -313,6 +314,7 @@
+ # Copy db.opt into data/test/
+@@ -311,6 +312,7 @@
    INSTALL(FILES ${DUMMY_FILE} DESTINATION data/mysql COMPONENT DataFiles)
  ENDIF(WIN32 AND MYSQLD_EXECUTABLE)
  ENDIF(INSTALL_LAYOUT STREQUAL "STANDALONE")
@@ -16,7 +16,7 @@
  
  IF(WIN32)
    SET(my_bootstrap_sql ${CMAKE_CURRENT_BINARY_DIR}/my_bootstrap.sql)
-@@ -354,8 +356,10 @@
+@@ -353,8 +355,10 @@
    TARGET_LINK_LIBRARIES(mysql_upgrade_service mysys winservice)
  ENDIF(WIN32)
  

Modified: head/databases/mariadb55-server/pkg-plist
==============================================================================
--- head/databases/mariadb55-server/pkg-plist	Sun Jun  9 14:41:24 2013	(r320338)
+++ head/databases/mariadb55-server/pkg-plist	Sun Jun  9 14:54:38 2013	(r320339)
@@ -33,6 +33,7 @@ lib/mysql/libmysqld.a
 lib/mysql/libmysqld.so
 lib/mysql/libmysqld.so.18
 lib/mysql/plugin/adt_null.so
+lib/mysql/plugin/auth_0x0100.so
 lib/mysql/plugin/auth_pam.so
 lib/mysql/plugin/auth_test_plugin.so
 lib/mysql/plugin/daemon_example.ini
@@ -53,6 +54,7 @@ lib/mysql/plugin/mysql_clear_password.so
 lib/mysql/plugin/qa_auth_client.so
 lib/mysql/plugin/qa_auth_interface.so
 lib/mysql/plugin/qa_auth_server.so
+lib/mysql/plugin/query_cache_info.so
 lib/mysql/plugin/semisync_master.so
 lib/mysql/plugin/semisync_slave.so
 lib/mysql/plugin/sql_errlog.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2013-06-09 15:55:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!